#!/bin/bash


function genere_eps
{ 
cat > $TMPFILE.tex <<EOF
\input{dirs}
\documentclass[version$3]{$2}
\makeatletter
\let\fmb@ouverture\relax
\let\fmb@fermeture\relax
\makeatother
\thispagestyle{empty}
\begin{document}
\crop[off]
\input{$1}
\end{document}
EOF
#echo "Création du fichier dvi"
latex $TMPFILE > $LOGFILE
#echo "Création du fichier $TMPFILE.eps"
dvips -E  $TMPFILE.dvi -o $TMPFILE.eps >> $LOGFILE 2>&1
}

FILE=${1%.*}
TMPFILE=temp
LOGFILE=temp.log
sanspsfrag=truc.tex
CLASSE=${2}
OPTION=${3}

grep -v \\\\psfrag $FILE.tex > $sanspsfrag

genere_eps $sanspsfrag $CLASSE $OPTION

# on récupère la boite englobante du fichier eps sans les psfrag
bonnebb=$(grep "^%%BoundingBox" $TMPFILE.eps | head -1)

genere_eps $FILE $CLASSE $OPTION

# on récupère la boite englobante du fichier eps avec psfrag
mauvaisebb=$(grep "^%%BoundingBox" $TMPFILE.eps | head -1)

sed  -i "s/$mauvaisebb/$bonnebb/" $TMPFILE.eps 


#echo "Création du fichier pdf"
epstopdf $TMPFILE.eps --debug --outfile=pdfs/${FILE##*/}.pdf >> $LOGFILE 2>&1
rm -f $TMPFILE.* $LOGFILE $sanspsfrag
